<?php
    /** Portfolio Page Customizer Options **/
    function revolve_portpage_customize_register( $wp_customize ) {
        /** Portfolio Page Panel **/
        $wp_customize->add_panel( 'portpage_panel', array(
            'priority' => 15,
            'capability' => 'edit_theme_options',
            'title' => __( 'Portfolio Page Setting', 'revolve' ),
            'description' => __( 'Configure Portfolio Page.', 'revolve' ),
        ) );
        
        /** Add Portfolio Page Section **/
            /** Portfolio Page Section **/
                $wp_customize->add_section( 'portarch_section', array(
                    'priority' => 20,
                    'capability' => 'edit_theme_options',
                    'title' => __( 'Portfolio Page', 'revolve' ),
                    'description' => __( 'Configure Portfolio Page', 'revolve' ),
                    'panel' => 'portpage_panel',
                ) );
                
            /** Portfolio Category Control **/
            //WP_Customize_Select_Single_Cat_Control
            $wp_customize->add_setting( 'port_category' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Single_Cat_Control(
                   $wp_customize,
                   'port_category',
                   array(
                       'label'      => __( 'Portfolio Category', 'revolve' ),
                       'section'    => 'portarch_section',
                       'settings'   => 'port_category',
                   )
               )
           );
    }
    add_action( 'customize_register', 'revolve_portpage_customize_register' );