<?php
/**
 * Displaying Portfolio Post Contents
 *
 *
 * @package Revolve
 */

?>
<div class="portfolio-post-wrap">
    <?php
        $img_src = get_template_directory_uri().'/images/no-port-thumbnail.jpg';
        if(has_post_thumbnail()) {
            $img = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'revolve-port-grid-thumb'); // Consult Designer
            $img_src = $img[0];
        }
    ?>
    <img src="<?php echo $img_src; ?>" />
    <div class="port-outer-wrap">
        <a href="<?php the_permalink(); ?>">
        <span class="port-post-title"><?php the_title(); ?></span>
        </a>
        <div class="port-link-wrap">
            <p>
                <span class="port-link">
                    <a href="<?php the_permalink(); ?>"><i class="fa fa-link"></i></a>
                </span>
                <span class="port-link">
                    <a href="<?php echo $img_src; ?>" class="port-viewbox"><i class="fa fa-search"></i></a>
                </span>
            </p>
        </div>
    </div>
</div>