<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Revolve
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php
		if ( have_posts() ) : ?>
			<header class="page-header">
				<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
			</header><!-- .page-header -->

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();
				$cats = get_the_category(get_the_id() );
				$chk_cat = array();

				foreach($cats as $cat){
					$chk_cat[] = $cat->term_id;
				}

				$port_cat = get_theme_mod('port_category', '');
				//$team_category = get_theme_mod('team_category', '');

				if(in_array($port_cat, $chk_cat)) {
					get_template_part( 'template-parts/arch', 'portfolio' );
				} else {
					get_template_part( 'template-parts/arch', 'blog' );
				}
				
			endwhile;

			the_posts_navigation();
				
		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
