<?php
	/**
	 * Displaying Blog Post Contents
	 *
	 *
	 * @package Revolve
	 */
?>

<?php
	$img = wp_get_attachment_image_src( get_post_thumbnail_id(), 'revolve-blog-grid-thumb' );
	?>
	<article class="blog-post-wrap">
	    <?php if(has_post_thumbnail()) : ?>
	        <img src="<?php echo $img[0]; ?>" class="blog-img-thumbnail">
	    <?php endif; ?>
	    <div class="entry-summary">
	        <div class="pub-date"><?php echo get_the_date( get_option( 'date_format' ), get_the_ID() ); ?></div>
	        <a href="<?php the_permalink(); ?>">
	            <h2 class="blog-post-title"><?php the_title(); ?></h2>
	        </a>
	        <div class="blog-post-excerpt">
	            <?php echo revolve_get_excerpt(get_the_content(), 200, '&#8594;'); ?>
	        </div>
	    </div>
	</article>